#ifndef LINE_H_
#define LINE_H_

#include "Vertex.h"


#define INTERSECTION_ERROR           -1
#define INTERSECTION_NONE             0
#define INTERSECTION_IDENTICAL        1
#define INTERSECTION_LINE             2
#define INTERSECTION_LINE_LINE        2
#define INTERSECTION_LINE_SEGMENT     3
#define INTERSECTION_SEGMENT_LINE     6
#define INTERSECTION_SEGMENT_SEGMENT  7

typedef struct _LINE {
  Vertex v1, v2;
} LINE;


int lineIntersection(const LINE *la, const LINE *lb, Vertex *v);

#endif /*LINE_H_*/
